[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# SplitURL

Separates a URL into its scheme, path, and parameter component values.

## Declaration

Source position: lazhelpintf.pas line 589

`procedure SplitURL(`
`const URL: string;`
`out URLScheme: string;`
`out URLPath: string;`
`out URLParams: string`
`);`

## Arguments

`URL` |  | URL examined in the function.
`URLScheme` |  | URL scheme used in the URL.
`URLPath` |  | File path information from the URL.
`URLParams` |  | Parameters found in the URL.

## Description

SplitURL is a procedure used to separate the value specified in URL into the URLScheme, URLPath, and URLParams output parameters. The default value for these output parameters is an empty string (''), and indicates that the component value is not present in URL.

URLScheme will contain the URL scheme found in URL, and normally contains values like 'file', 'http', or 'https'. It does not contain the '://' characters which mark the end of the URL scheme.

URLPath contains file path information found in URL. It does not include any portion of URL occurring after the initial '?' or '#' character used in parameter values. Those values are stored in the URLParams argument.